commit:     cc7b0b41c9af23859761702fe23916460638c478
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Thu May  5 00:38:15 2016 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Mon May  9 12:21:53 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cc7b0b41

app-text/linuxdoc-tools: verbump to 0.9.72

Update the ebuild to be 99% compatible with EAPI 6.
The remaining 1% is due to some of the inherited eclasses.

Package-Manager: portage-2.2.28

Signed-off-by: Ian Delaney <idella4 <AT> gentoo.org>

 app-text/linuxdoc-tools/Manifest                   |  1 +
 .../linuxdoc-tools/linuxdoc-tools-0.9.72.ebuild    | 79 ++++++++++++++++++++++
 2 files changed, 80 insertions(+)

diff --git a/app-text/linuxdoc-tools/Manifest b/app-text/linuxdoc-tools/Manifest
index f9fab18..4acc654 100644
--- a/app-text/linuxdoc-tools/Manifest
+++ b/app-text/linuxdoc-tools/Manifest
@@ -1 +1,2 @@
 DIST linuxdoc-tools-0.9.71.tar.gz 613357 SHA256 
1710b03d0e7151892c417363dd26c15d7f45d36411b6a341b0a4d3753519f476 SHA512 
8383e5f08d58ca6395db1832c02e1af7b348c276187e8271564b229d811f5141128976924f110d6575fa94bb45d547a2f4c90acee523e78c849659cad592b7ae
 WHIRLPOOL 
d40660d2b3373e853adb3055d8053507c786e278906eedf1d9b9afb74a032bc464587fbd6e9320b7fa8aab3de334c12a899a2e8bf9f5addf0c13988bbdc0ced1
+DIST linuxdoc-tools-0.9.72.tar.gz 614429 SHA256 
664bfc4e580a5e7b8917104aa93b7f5021367e24ee22d67411a5f3f27fa81ba4 SHA512 
2d522a99212dab2535786b64e0b404a9bb023d1612d8e57a628de21b5e77b104285713a98591c61a2fb2196e687b34180198ab0dfeda2b44fbbce051e9919408
 WHIRLPOOL 
a9185f1666675d1ed398b9b96e798c7788e52d1ad57e39692fd9d06174f111b559c9e4f62a5762b0d0af3a7fc3d7d943b9e788d2d9df031f3d0cf4e2595587ee

diff --git a/app-text/linuxdoc-tools/linuxdoc-tools-0.9.72.ebuild 
b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.72.ebuild
new file mode 100644
index 0000000..f1660a5
--- /dev/null
+++ b/app-text/linuxdoc-tools/linuxdoc-tools-0.9.72.ebuild
@@ -0,0 +1,79 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+# EAPI=6 is blocked by Gentoo bugs 497038, 497052.
+EAPI=5
+
+inherit autotools-utils latex-package perl-functions sgml-catalog 
toolchain-funcs vcs-snapshot
+
+DESCRIPTION="A toolset for processing LinuxDoc DTD SGML files"
+HOMEPAGE="https://gitlab.com/agmartin/linuxdoc-tools";
+SRC_URI="https://gitlab.com/agmartin/${PN}/repository/archive.tar.gz?ref=v${PV}
 -> ${P}.tar.gz"
+
+LICENSE="MIT SGMLUG"
+SLOT="0"
+KEYWORDS="~amd64 ~ia64 ~ppc ~x86 ~x86-fbsd"
+IUSE="doc"
+
+RDEPEND="
+       || ( app-text/openjade app-text/opensp )
+       app-text/sgml-common
+       dev-lang/perl:=
+       || ( sys-apps/gawk sys-apps/mawk )
+       sys-apps/groff
+"
+DEPEND="${RDEPEND}
+       sys-devel/flex
+       doc? (
+               dev-texlive/texlive-fontsrecommended
+               virtual/latex-base
+       )
+"
+
+src_prepare() {
+       autotools-utils_src_prepare
+
+       # Update the build system with Gentoo paths.
+       sed -i \
+               -e "s|share/doc/${PN}|share/doc/${PF}|g" \
+               Makefile.in || die
+
+       eautoreconf
+}
+
+src_configure() {
+       perl_set_version
+       tc-export CC
+       local myeconfargs=(
+               --disable-docs
+               --with-texdir="${TEXMF}/tex/latex/${PN}"
+               --with-perllibdir="${VENDOR_ARCH}"
+               --with-installed-iso-entities
+       )
+       use doc && myeconfargs+=(--enable-docs="txt pdf html")
+
+       econf "${myeconfargs[@]}"
+}
+
+src_compile() {
+       # Prevent access violations from bitmap font files generation.
+       use doc && export VARTEXFONTS="${T}/fonts"
+       default_src_compile
+}
+
+src_install() {
+       default_src_install
+}
+
+sgml-catalog_cat_include "/etc/sgml/linuxdoc.cat" 
"/usr/share/${PN}/${PN}.catalog"
+
+pkg_postinst() {
+       latex-package_pkg_postinst
+       sgml-catalog_pkg_postinst
+}
+
+pkg_postrm() {
+       latex-package_pkg_postrm
+       sgml-catalog_pkg_postrm
+}

Reply via email to